using Otter;

namespace Puppyups.objects
{
    class LabGun2 : Entity
    {
        private Spritemap<string> _spriteMap;

        public LabGun2(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.LABGUN2, 32, 32);
            SetHitbox(32, 32, (int)Global.Type.LABGUN2);
            _spriteMap.Add("main", new int[] { 0, 1, 2, 3, 4, 5 }, new float[] { 10f, 10f });
            _spriteMap.Play("main");
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
        }
        public void Destroy()
        {
            RemoveSelf();
        }
    }
}
